Bug 61395 - glEdgeFlag can't be set to false
glEdgeFlag can't be set to false
Status: RESOLVED FIXED
Product: Mesa
Classification: Unclassified
Component: Mesa core
unspecified
x86-64 (AMD64) Linux (All)
: medium normal
Assigned To: mesa-dev
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-02-24 11:46 UTC by Blaž Hrastnik
Modified: 2013-03-04 15:45 UTC (History)
1 user (show)

See Also:


Attachments
test program (647 bytes, text/plain)
2013-02-24 11:46 UTC, Blaž Hrastnik
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Blaž Hrastnik 2013-02-24 11:46:31 UTC
Created attachment 75444 [details]
test program

Setting glEdgeFlag to GL_FALSE, then checking glGetBooleanv of GL_EDGE_FLAG returns GL_TRUE.
Comment 1 Brian Paul 2013-02-25 15:49:56 UTC
This patch should fix it.  Posted for review.

diff --git a/src/mesa/main/get_hash_params.py b/src/mesa/main/get_hash_params.py
index 1b7d6ad..ff6e108 100644
--- a/src/mesa/main/get_hash_params.py
+++ b/src/mesa/main/get_hash_params.py
@@ -412,7 +412,7 @@ descriptor=[
   [ "DEPTH_SCALE", "CONTEXT_FLOAT(Pixel.DepthScale), NO_EXTRA" ],
   [ "DOUBLEBUFFER", "BUFFER_INT(Visual.doubleBufferMode), NO_EXTRA" ],
   [ "DRAW_BUFFER", "BUFFER_ENUM(ColorDrawBuffer[0]), NO_EXTRA" ],
-  [ "EDGE_FLAG", "LOC_CUSTOM, TYPE_BOOLEAN, 0, NO_EXTRA" ],
+  [ "EDGE_FLAG", "LOC_CUSTOM, TYPE_BOOLEAN, 0, extra_flush_current" ],
   [ "FEEDBACK_BUFFER_SIZE", "CONTEXT_INT(Feedback.BufferSize), NO_EXTRA" ],
   [ "FEEDBACK_BUFFER_TYPE", "CONTEXT_ENUM(Feedback.Type), NO_EXTRA" ],
   [ "FOG_INDEX", "CONTEXT_FLOAT(Fog.Index), NO_EXTRA" ],
Comment 2 Blaž Hrastnik 2013-02-26 11:16:46 UTC
The proposed patch does not work for me, it still returns true.
Comment 3 Brian Paul 2013-02-26 15:14:40 UTC
Hmm, I retested here and it works.  Are you sure everything was rebuilt properly?  The get_hash.h file gets regenerated from the get_hash_params.py file (which is what we're patching).  Could you try rm'ing get_hash.h and rebuilding?
Comment 4 Blaž Hrastnik 2013-02-26 15:18:15 UTC
Hmm, I probably rebuilt it incorrectly, I used ArchLinux's PKGBUILD file to auto build it into a package (and apply the patch beforehand), the build system probably splits these packages differently (I ended up with mesa as well as several driver packages). I'll try it again, and if it doesn't work, I'll manually build it.
Comment 5 Blaž Hrastnik 2013-02-26 15:37:42 UTC
Ah yes, apparently it was in the "ati-dri" package that arch built. Works properly now, thanks! By the way, I have some more unresolved bugs (Regarding OpenGL 1.x-2.1) on a opengl ruby binding library (https://github.com/archSeer/opengl), so be on a lookout, I'll report probably 2-3 more in the next few days.
Comment 6 Blaž Hrastnik 2013-03-02 14:49:26 UTC
Brian, has the patch been merged yet?
Comment 7 Brian Paul 2013-03-04 15:45:02 UTC
Thanks for the reminder.  I just pushed it.
Commit b1390c7992c457f230cb5a7a64803b194de316e0